## ros-iron-io-context 1.2.0

=== debian/changelog ===
ros-iron-io-context (1.2.0-3jammy) jammy; urgency=high

  * Fix linter errors.
  * Contributors: WhitleySoftwareServices

 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Sat, 19 Mar 2022 16:00:00 -0000

ros-iron-io-context (1.1.0-3jammy) jammy; urgency=high

  * Fix the converter Converter between std_msgs::msg::UInt8MultiArray and std::vector<uint8_t> (#73 <https://github.com/ros-drivers/transport_drivers/issues/73>)
    * example_interfaces is redundant as std_msgs includes UInt8MultiArray
    * udp_msgs.hpp should not include "converters.hpp"
    * Fix the converter std_msgs::msg::UInt8MultiArray <-> std::vector<uint8_t>
  * Add a second constructor to avoid comparing size_t (unsigned int) and int (#70 <https://github.com/ros-drivers/transport_drivers/issues/70>)
  * Fix cpplint error (#69 <https://github.com/ros-drivers/transport_drivers/issues/69>)
    See https://build.ros2.org/job/Gdev__transport_drivers__ubuntu_focal_amd64/9/testReport/junit/(root)/projectroot/cpplint/
  * Contributors: ChenJun, Esteve Fernandez

 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Sat, 19 Mar 2022 16:00:00 -0000

ros-iron-io-context (1.0.1-3jammy) jammy; urgency=high

  * Serial driver debugs (#56 <https://github.com/ros-drivers/transport_drivers/issues/56>)
    * debugged message conversion
    debugged serial bridge segfault (publisher accessed before initialized)
    * refactored message conversion
  * update READMEs for each package (#54 <https://github.com/ros-drivers/transport_drivers/issues/54>)
    * update READMEs for each package
    * add more to readme, renamed config to params
  * use vectors not mutbuffers (#50 <https://github.com/ros-drivers/transport_drivers/issues/50>)
  * Port udp_driver Changes to serial_driver (#47 <https://github.com/ros-drivers/transport_drivers/issues/47>)
    * Adding SerialPort and framework for SerialDriver.
    * Adding SerialDriver
    * Adding SerialBridgeNode
    * Remove serial_driver_node and tests
    * Create new tests for serial_port and serial_driver
    * Changing signature of from_msg for example_interfaces
    * [serial_driver] Adding missing function definition
    * [serial_driver] Adding example params and launch files
    * Trying to apease flake8
    * Fixing allocation snafu
    * [serial_driver] Replacing MutBuffer with std::vector<uint8_t>
    * [serial_driver] Fix typo
    * [serial_driver] Make launch file more reliable
    * [serial_driver] Fix error message
    * [serial_driver] Fix typo
    * [serial_driver] Shorten node name
  * Generic udp nodes (#40 <https://github.com/ros-drivers/transport_drivers/issues/40>)
    * use udp_msgs for receiver and sender nodes
    * use vector of uint8_ts instead of mutable buffer
    * all tests passing
  * Rename MutSocketBuffer to MutBuffer (#46 <https://github.com/ros-drivers/transport_drivers/issues/46>)
  * Export ASIO definitions (#44 <https://github.com/ros-drivers/transport_drivers/issues/44>)
  * Enforce C++14. Do not duplicate compiler flags (#45 <https://github.com/ros-drivers/transport_drivers/issues/45>)
  * Deduplicate ASIO CMake module (#43 <https://github.com/ros-drivers/transport_drivers/issues/43>)
    * Added ASIO CMake module
    * Use asio_cmake_module
  * Use RCLCPP logging macros (#42 <https://github.com/ros-drivers/transport_drivers/issues/42>)
  * Fix copyright years (#41 <https://github.com/ros-drivers/transport_drivers/issues/41>)
  * Removed Boost (#39 <https://github.com/ros-drivers/transport_drivers/issues/39>)
    * Removed Boost
    * Do not depend on Boost at all
    * Added cmath header
    * Fix linting warning
    * Added ASIO_STANDALONE to more units
    * Call stop on io_service
    * Fix dependency
    * Export asio as a downstream dependency
    * Remove more boost references
    * Force non-Boost version of ASIO
    * Force non-Boost version of ASIO
    * Ignore result to avoid compiler warning
  * Create Full UDP Nodes (#38 <https://github.com/ros-drivers/transport_drivers/issues/38>)
    * Reorganize namespaces
    * Apply reviewer feedback
    * Create UdpReceiverNode as LifecycleNode
    * Create UdpSenderNode as Lifecycle Node
    * Adding bridge node
    * Add comment to bridge node about purpose
  * Reorg namespaces (#37 <https://github.com/ros-drivers/transport_drivers/issues/37>)
    * Move UDP driver node to correct location
    * Reorganize namespaces
    * Remove unused include_directories
    * Apply reviewer feedback
  * move io_context to shared lib (#36 <https://github.com/ros-drivers/transport_drivers/issues/36>)
  * Contributors: Esteve Fernandez, Evan Flynn, Haoru Xue, Joshua Whitley

 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Sun, 29 Aug 2021 16:00:00 -0000

ros-iron-io-context (0.0.6-3jammy) jammy; urgency=high



 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-iron-io-context (0.0.5-3jammy) jammy; urgency=high



 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Wed, 15 Jul 2020 16:00:00 -0000

ros-iron-io-context (0.0.4-3jammy) jammy; urgency=high



 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Wed, 11 Dec 2019 16:00:00 -0000

ros-iron-io-context (0.0.3-3jammy) jammy; urgency=high



 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Tue, 20 Aug 2019 16:00:00 -0000

ros-iron-io-context (0.0.2-3jammy) jammy; urgency=high



 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Sun, 18 Aug 2019 16:00:00 -0000
